Subject: RE: cygwin.dll
From: [email-masked] (James Osburn)

17 Jan 1997 17:22:07 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <c=US%a=_%p=E-Stamp%l=[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Original-To: "[email-masked]'" <[email-masked]>
Original-Cc: "[email-masked]'" <[email-masked]>
X-Mailer: Microsoft Exchange Server Internet Mail Connector Version 4.0.993.5
Original-Sender: [email-masked]

>----------
>From: 	Jim Balter[SMTP:[email-masked]]
>Sent: 	Friday, January 17, 1997 1:08 PM
>To: 	James Osburn
>Cc: 	[email-masked]'
>Subject: 	Re: cygwin.dll
>
>James Osburn wrote:
>> 
>> My two bits on the cygwin.dll and cygnus in general.
>> 
>> First the cygwin.dll is to large It should not
>> contain the unix to win32 interface.
>
>Since the cygwin C library is UNIX code that depends upon UNIX
>semantics, if cygwin.dll didn't contain the unix to win32 interface,
>it *wouldn't work*.  If you want to separate out the libc and libm
>routines into separate DLLs, that can be done; if you want to pare
>down the cygwin routines, that can be done.  As has been posted here
>many times now, Colin Peters has done some of this; go check out his
>work.
>
>> Second, there should
>> be a facility to compile statically and to separate the
>> C runtime and C++ runtimes into seperate dlls and statically
>> linkable libs.
>
>libg.a is a statically linkable lib.
>
>> The task of porting all the gnu unix to win32
>> via the gcc should be dropped. It poisons an otherwise
>> very good idea: gcc for win32.
>
>I cannot fathom the thinking that says that the cygwin project,
>which is a project to port a unix environment to Windows, should
>drop porting a unix environment to Windows.  If *you* want just gcc
>for Windows, and you think it should be divorced from the unix
>library and the GNU configure facility and all the rest, then why don't
>*you* go out and write it?  The cygnus people are a *GNU* support
>organization; cygwin, as I understand it, was envisioned as a port
>of the *GNU* utilities to Windows.  And many of us have benefited from
>it.  The only poison I see here is the suggestion that something that
>many other people want should be dropped because you don't happen
>to want it.
>
>If you want a more minimal system go check out Colin Peters' work.
>Maybe you could even lend him a hand.
>
>You are correct I dont really care about the port of the GNU UNIX tools to
>win32.
>(If a port exists make it a direct port not relying on the compiler)
>I did check out Colin Peters and this is exactly what I am looking for. About
>your admonision to write my own. Ok maybe so I had feared that would be the
case. And to helping Colin Peter? Why not. I have written him and asked
what 
>I could do.
>
>James Osburn
>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".